Linux workstation

Upstream software project

oath-toolkit

Library for Portable Symmetric Key Container -- Development Files

About oath-toolkit

Library for Portable Symmetric Key Container -- Development Files

This project links 7 native package records across 1 recorded operating-system release. Compare the retained versions and architectures below, then open the package for your own release.

These are catalog observations, not a guarantee of installation, compatibility, or upstream support.

Project pictures and package coverage

openSUSE Leap 15.6: 7 package records. Catalog coverage diagram, not an application screenshot.oath-toolkit: recorded package coverageopenSUSE Leap 15.67 records
OpenFactory diagram of linked package records. It is not an application screenshot.

Project identity

Project
oath-toolkit
Publisher
Not authoritatively mapped
Native package records
7
Operating systems
opensuse-leap-15-6
License expression
LGPL-2.1-or-later
Metadata completeness
100/100 (not a software quality rating)
Source repository
Not reported

Source-reported description

The fullest retained description is shown with its source. Distribution packaging descriptions may include downstream details.

The OATH Toolkit makes it easy to build one-time password authentication systems. It contains shared libraries, command line tools and a PAM module. Supported technologies include the event-based HOTP algorithm (RFC4226) and the time-based TOTP algorithm (RFC6238). OATH stands for Open AuTHentication, which is the organization that specify the algorithms. For managing secret key files, the Portable Symmetric Key Container (PSKC) format described in RFC6030 is supported.

Description source

Packages by operating system

Compare recorded versions, then open a package for dependency, file, checksum, and repository evidence. Version strings are distribution-specific, not a ranking of newer software.

openSUSE Leap 15.6

  1. liboath0

    openSUSE Leap 15.6 / Productivity/Networking/Security / source oath-toolkit

    2.6.2-150000.3.5.1

    Library for Open AuTHentication (OATH) HOTP support

    aarch64ppc64les390xx86_64leap-15.6
  2. liboath-devel

    openSUSE Leap 15.6 / Development/Libraries/C and C++ / source oath-toolkit

    2.6.2-150000.3.5.1

    Library for Open AuTHentication (OATH) HOTP support -- Development Files

    aarch64ppc64les390xx86_64leap-15.6
  3. libpskc0

    openSUSE Leap 15.6 / Productivity/Networking/Security / source oath-toolkit

    2.6.2-150000.3.5.1

    Library for Portable Symmetric Key Container

    aarch64ppc64les390xx86_64leap-15.6
  4. libpskc-devel

    openSUSE Leap 15.6 / Development/Libraries/C and C++ / source oath-toolkit

    2.6.2-150000.3.5.1

    Library for Portable Symmetric Key Container -- Development Files

    aarch64ppc64les390xx86_64leap-15.6
  5. oath-toolkit

    openSUSE Leap 15.6 / Productivity/Networking/Security / source oath-toolkit

    2.6.2-150000.3.5.1

    Toolkit for one-time password authentication systems

    aarch64ppc64les390xx86_64leap-15.6
  6. oath-toolkit-xml

    openSUSE Leap 15.6 / Development/Libraries/C and C++ / source oath-toolkit

    2.6.2-150000.3.5.1

    This package contains xml files needed by liboath0

    noarchleap-15.6
  7. pam_oath

    openSUSE Leap 15.6 / Productivity/Networking/Security / source oath-toolkit

    2.6.2-150000.3.5.1

    PAM module for pluggable login authentication for OATH

    aarch64ppc64les390xx86_64leap-15.6

Project resources and further reading

Mapping provenance

Only source-backed identity signals create public cross-OS links. A reviewer can later approve or dispute an inferred relationship without rewriting native package history.

No field-level source record is published yet.